### Name: qscores
### Title: Examples of qscore objects (quality scores) to apply to CGH
###   arrays
### Aliases: clone.qscore pct.clone.qscore pct.spot.qscore
###   pct.spot.before.qscore pct.replicate.qscore smoothness.qscore
###   dynamics.qscore var.replicate.qscore dyn.x.qscore dyn.y.qscore
### Keywords: datasets

### ** Examples

data(qscores)
data(spatial)

## define a list of qscores
qscore.list <- list(clone=clone.qscore, pct.clone=pct.clone.qscore,
pct.spot=pct.spot.qscore, pct.replicate=pct.replicate.qscore,
smoothness=smoothness.qscore, dyn.x=dyn.x.qscore, dyn.y=dyn.y.qscore,
var.replicate=var.replicate.qscore)

## compute quality scores for a couple of normalized arrays
gradient.norm$quality <- qscore.summary.arrayCGH(gradient.norm,
qscore.list)
print(gradient.norm$quality[, 2:3])

qscore.list$dyn.x$args$test <- 23
qscore.list$dyn.y$args$test <- 24
edge.norm$quality <- qscore.summary.arrayCGH(edge.norm, qscore.list)
print(edge.norm$quality[, 2:3])



